glibmm 2.54.1

Public Member Functions | List of all members
Glib::Sequence< Iterator > Class Template Reference
Generic container converters

Utility class holding an iterator sequence. More...

`#include <glibmm/containerhandle_shared.h>`

## Public Member Functions
| Sequence (Iterator pbegin, Iterator pend)
Iterator | begin () const
Iterator | end () const
std::size_t | size () const

## Detailed Description

### template<class Iterator>
class Glib::Sequence< Iterator >

Utility class holding an iterator sequence.

This can be used to initialize a Glib container handle (such as Glib::ArrayHandle) with an iterator sequence. Use the helper function Glib::sequence() to create a Sequence<> object.

## Constructor & Destructor Documentation

## ◆ Sequence()

template <class Iterator >

Glib::Sequence< Iterator >::Sequence | ( | Iterator | pbegin,
|  | Iterator | pend
| ) |  |
| inline

## Member Function Documentation

## ◆ begin()

template <class Iterator >

Iterator Glib::Sequence< Iterator >::begin | ( |  | ) | const
| inline

## ◆ end()

template <class Iterator >

Iterator Glib::Sequence< Iterator >::end | ( |  | ) | const
| inline

## ◆ size()

template <class Iterator >

std::size_t Glib::Sequence< Iterator >::size | ( |  | ) | const
| inline